Skip to main content
POST
Submit Ai Chat Feedback

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

chat_id
string
required

Body

application/json

Request schema for submitting feedback on a chat response.

feedbackType
enum<string>
required

Type of feedback (positive/negative)

Available options:
POSITIVE,
NEGATIVE
feedbackText
string | null

Optional feedback text

Response

Successful Response

Summary schema for AI chat history.

id
string
required

Unique identifier for the chat entry

threadId
string<uuid>
required

UUID of the conversation thread

question
string
required

The question asked

answer
string
required

The AI-generated answer

userId
string
required

ID of provider who asked

modelName
string
required

Model used for generation

createdDate
string<date-time>
required

When the chat entry was created

files
string[] | null

List of GCS file paths

feedbackType
enum<string> | null

Type of feedback (positive/negative)

Available options:
POSITIVE,
NEGATIVE
feedbackText
string | null

Optional feedback text

phoenixId
string | null

Phoenix tracing ID